Installation SMI 1.0.6 impossible

Installation, utilisation, paramétrage de SMI sous Windows

Installation SMI 1.0.6 impossible

Messagepar PolyDier » Lun Oct 08, 2018 4:20 am

Bonjour,
Nouveau sur ce forum, j'ai besoin d'aide car je n'arrive pas à installer SMI (toute version confondue).
J'ai essayé en local sur 2 NAS différents, avec Wamp et Xampp mais aussi sur un serveur mutualisé distant et enfin sur un serveur dédié distant ( les 2 chez LWS) mais voilà je n'arrive pas à exploité cet outil qui m'a l'air de remplir toutes les conditions que je voudrais exploiter pour mon entreprise.
Afin de ne pas m'éparpiller je recommence une installation sous XAMPP (qui est conseillé par SMI) et je déroule son installation ci-dessous afin que l'on puisse me dire ou je me plante.
Logiciel installé :
XAMPP win32 - 7.2.10-0 - VC15 sur Windows 10 64 Bits
Serveur de base de données
Serveur : 127.0.0.1 via TCP/IP port 81
Type de serveur : MariaDB
Version du serveur : 10.1.36-MariaDB
Version du protocole : 10
Utilisateur : root@localhost
Jeu de caractères du serveur : UTF-8 Unicode (utf8)
Serveur Web
Apache/2.4.34 (Win32) OpenSSL/1.1.0i
Version de PHP : 7.2.10
phpMyAdmin
Version : 4.8.3 (à jour)

En suivant les instructions du document d'installation je vais installer SMI 1.0.6

Les pré-requis étant en place je dispose le dossier décompressé smi 1.0.6 dans le répertoire htdocs de XAMPP et le renomme smi

- Je lance mysql (par phpmyadmin) et je créé un base appelé smi et un utilisateur avec les droits énnoncés dans le document
- J'importe la base sql se trouvant dans le dossier "install/sql" nommée sql 1.0.6 dans la base smi en ne changeant aucune options de phpmyadmin à part la variable de php.ini upload_max_filesize mise à 4 Mo car limité par défaut à 2 Mo et je clic sur "executer"

Et là les ennuis commencent :

Après une longue énumération dui contenu de la requête le message d'erreur suivant apparaît :
MySQL a répondu :
#1064 - Erreur de syntaxe près de 'CREATE TABLE IF NOT EXISTS `smi_age` (
`age_id` smallint(5) unsigned NOT NULL,
' à la ligne 13

En regardant dans la structure de la base, 38 tables ont été créées, la dernières étant smi_do

Je ne vais pas plus loin dans ce post, mais sachez que la version 1.0.4 du fichier sql fonctionne en importation mais c'est la version 1.0.6 que j'aimerai installer.
PolyDier
Nouveau membre
 
Messages: 3
Enregistré le: Ven Oct 05, 2018 5:41 am

Re: Installation SMI 1.0.6 impossible

Messagepar PolyDier » Lun Oct 08, 2018 5:23 am

Re-bonjour,
Je me réponds à moi même afin de continuer cette impossible installation :
N'ayant pu la base sql 1.0.6, j'ai installer la 1.0.4
Donc dans le dossier htdocs/smi de xampp j'ai installé la version 1.0.4 de smi et je continu donc l'installation ...
- je créé les répertoires telechgt/fictec et svg et leurs donne les droits 777 sur la racine du serveur XAMPP soit xampp/htdocs
- j'édite le fichier prm.inc.php, qui se trouve dans le dossier install et je change le paramètres suivants :
define('REP', ''); en define('REP', 'smi'); le nom du répertoire
define('DBNAME', ''); en define('DBNAME', 'smi'); le nom de la base
define('PREFIXE', ''); en define('PREFIXE', 'smi'); le nom du préfixe des tables sans le _
define('DBUSER', ''); en define('DBUSER', 'didier'); le nom d'utilisateur créé
define('DBPASS', ''); en define('DBPASS', 'admin'); le mot de passe créé pour l'utilisateur
define('DBHOST', ''); en define('DBHOST', 'localhost'); le nom du serveur local

au passage j'ai donner un code administrateur et un mot de passe au variable

$admin_code = 'xxxxx';
$admin_mdp = 'xxxxxxx';

Le reste sans changement.

Je recopie ce fichier dans le répertoire htdocs/smi/inc/ auquel je donne les droits 644

J'avoue que je n'ai pas trop compris le chapitre 4 . Droits qui dit "Donnez les droits de propriétaire à l'utilisateur qui exécutera les scripts PHP (par exemple wwwrun, ou nobody, ou www-data) sur les répertoires "icones" et "logos" qui sont dans le répertoire d'installation de SMI, ainsi que sur le répertoire (et ses sous-répertoires) pour gérer les fichiers internes"
j'ai donc donné les droits 777 à ces répertoires pour l'instant.

J'arrive donc à la phase de lancement de l'application

je lance dans le navigateur localhost:81/smi et là nouvelle deception voici le message d'erreur :
Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; ezSQL_mysql has a deprecated constructor in C:\xampp\htdocs\smi\classes\ezSQL\mysql\ez_sql_mysql.php on line 33
Fatal Error: ezSQL_mysql requires mySQL Lib to be compiled and or linked in to the PHP engine


Je suis fatigué de tomber tout le temps sur des erreurs et j'aimerai enfin que l'on me dise pourquoi (n'oubliez pas que j'ai essayé plein de solution

HELP HELP HELP
:oops: :mrgreen:
PolyDier
Nouveau membre
 
Messages: 3
Enregistré le: Ven Oct 05, 2018 5:41 am

Re: Installation SMI 1.0.6 impossible

Messagepar PolyDier » Mar Oct 16, 2018 2:34 am

Je me réponds encore une fois puisqu'apparemment il n'y a plus que moi sur le forum :
Problème d'installation résolue :
Passage en PHP 5.6
Réparation du fichier sql de la version 1.0.6 au lieu de :

-- Contenu de la table `smi_acat`
--
INSERT INTO `smi_acat` (`acat_id`, `acat_code`, `acat_desc`) VALUES


il faut mettre :

-- Contenu de la table `smi_acat`
--

INSERT INTO `smi_acat` (`acat_id`, `acat_code`, `acat_desc`) VALUES
(1, 'AR', 'AGENCE SOMAC'),
(2, 'AF', 'AGENCE FRANCHISEE');


L'importation se fait correctement après cela

Je ne sais plus si ce sont les seules choses que j'ai bidouillé, mais maintenant ça marche en serveur distant (toujours pas en local sur mon NAS mais tant pis)
PolyDier
Nouveau membre
 
Messages: 3
Enregistré le: Ven Oct 05, 2018 5:41 am


Retour vers SMI sous Windows

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 1 invité